KDE 4.7 PyKDE API Reference

- KDE's Python API

# KStartupInfoId Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Class representing an identification of application startup notification.

Every existing notification about a starting application has its own unique identification, that's used to identify and manipulate the notification.

See also:
  KStartupInfo

See also:
  KStartupInfoData

Author:
  Lubos Lunak <l.lunak@kde.org>

## Methods
| __init__ (self)
| __init__ (self, KStartupInfoId data)
| __init__ (self, QString txt)
QByteArray | id (self)
| initId (self, QByteArray id="")
bool | none (self)
bool | operator != (self, KStartupInfoId id)
bool | operator < (self, KStartupInfoId id)
bool | operator == (self, KStartupInfoId id)
bool | setupStartupEnv (self)
long | timestamp (self)

## Method Documentation

__init__ | ( |  | self ) |

Creates an empty identification

__init__ | ( | self, |
|  | KStartupInfoId | data
| ) |  |  |

Copy constructor.

__init__ | ( | self, |
|  | QString | txt
| ) |  |  |

QByteArray id | ( |  | self ) |

Returns the notification identifier as string.

Returns:
  the identification string for the notification

initId | ( | self, |
|  | QByteArray | id=""
| ) |  |  |

Initializes this object with the given identification ( which may be also "0" for no notification ), or if "" is given, tries to read it from the startup notification environment variable, and if it's not set, creates a new one.

Parameters:

  | id | the new identification, "0" for no notification or "" to read the environment variable

bool none | ( |  | self ) |

Checks whether the identifier is valid.

Returns:
  true if this object doesn't represent a valid notification identification

bool operator != | ( | self, |
|  | KStartupInfoId | id
| ) |  |  |

Overloaded operator.

Returns:
  true if the notification identifications are different

bool operator < | ( | self, |
|  | KStartupInfoId | id
| ) |  |  |

bool operator == | ( | self, |
|  | KStartupInfoId | id
| ) |  |  |

Overloaded operator.

Returns:
  true if the notification identifications are the same

bool setupStartupEnv | ( |  | self ) |

Sets the startup notification environment variable to this identification.

Returns:
  true if successful, false otherwise

long timestamp | ( |  | self ) |

Return the user timestamp for the startup notification, or 0 if no timestamp is set.